# from fastapi.staticfiles import StaticFiles
import uvicorn
from fastapi import Depends, FastAPI

from .routers import pics
from .sql_app import models
from .sql_app.database import engine

models.Base.metadata.create_all(bind=engine)

# from .dependencies import get_query_token, get_token_header
# from .internal import admin

# app = FastAPI(dependencies=[Depends(get_query_token)])
app = FastAPI()


app.include_router(pics.router)


# app.mount("/static", StaticFiles(directory="static"), name="static")

# app.include_router(items.router)
# app.include_router(
#     admin.router,
#     prefix="/admin",
#     tags=["admin"],
#     dependencies=[Depends(get_token_header)],
#     responses={418: {"description": "I'm a teapot"}},
# )


@app.get("/")
async def root():
    return {"message": "Hello Bigger Applications!"}


def runApp():
    uvicorn.run("pics_server.main:app",
                host="127.0.0.1", port=8000, reload=True)
