from pydantic import BaseModel


class Pic(BaseModel):
    id: int
    file_path: str
    file_name: str
    upload_time: str

    class Config:
        orm_mode = True


class PicCreate(BaseModel):
    file_path: str
    file_name: str
    upload_time: str

# class ItemBase(BaseModel):
#     title: str
#     description: str | None = None


# class ItemCreate(ItemBase):
#     pass


# class Item(ItemBase):
#     id: int
#     owner_id: int

#     class Config:
#         orm_mode = True


# class UserBase(BaseModel):
#     email: str


# class UserCreate(UserBase):
#     password: str


# class User(UserBase):
#     id: int
#     is_active: bool
#     items: list[Item] = []

#     class Config:
#         orm_mode = True
